Index Data

This endpoint returns the index of a specified ID, produced by LCP Delta's optimisation algorithm (see Enact's European index page).

The indices have been backfilled from 1st of January 2024, and are updated daily via our optimisation algorithm.

To access an index, you'll need its corresponding GUID which can be found by clicking the ID icon next to an index on the European index page.


Using the LCPDelta Python Package

Synchronous

from lcp_delta import enact
from datetime import date

enact_api_helper = enact.APIHelper(username, public_api_key)

# see 'BODY PARAMS' section below for details on corresponding parameter values
response_dataframe = enact_api_helper.get_europe_index_data(
  date(2024, 6, 1),
  date(2024, 12, 31),
  "107b466d-56b5-41c8-9af5-89b47beb086e", # ID of the index
  "Germany", # Country of your specified index. Currently can be either "Germany" or "France".
  "EuroPerKwPerYear", # normalisation. "Euro", "EuroPerMw", "EuroPerMwh" or "EuroPerKwPerYear" (default).
  "Week", # granularity. "Day", "Week" (default), "Month" or "Year"
)

print(response_dataframe)

Asynchronous

from lcp_delta import enact
from datetime import date
import asyncio

async def main():
    enact_api_helper = enact.APIHelper(username, public_api_key)

    # see 'BODY PARAMS' section below for details on corresponding parameter values
    response_dataframe = await enact_api_helper.get_europe_index_data_async(
       date(2024, 6, 1),
  		 date(2024, 12, 31),
      "107b466d-56b5-41c8-9af5-89b47beb086e", # ID of the index
      "Germany", # Country of your specified index. Currently can be either "Germany" or "France".
			"EuroPerKwPerYear", # normalisation. "Euro", "EuroPerMw", "EuroPerMwh" or "EuroPerKwPerYear (default).
      "Week", # granularity. "Day", "Week" (default), "Month" or "Year"
    )

print(response_dataframe)

asyncio.run(main())

Using the API Directly

Body Params
date-time
required

The start of the date range to request for.

date-time
required

The end of the date range to request for.

string
required

The GUID of the index you wish to see. Index IDs can be found on the European Index page on Enact, by clicking the ID icon next to an index.

string

The country of your specified index. Currently can be either "Germany" or "France".

string
Defaults to EuroPerKwPerYear

The normalisation i.e the unit of the revenue figures returned.

string
Defaults to Week

The granularity of the index.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json